SDL_DelayPrecise(3)

NAME
SDL_DelayPrecise - Wait a specified number of nanoseconds before returning.

HEADER FILE
Defined in SDL3/SDL_timer.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_DelayPrecise(Uint64 ns);

DESCRIPTION
This function waits a specified number of nanoseconds before returning. It will attempt to wait as close to the requested time as possible, busy waiting if necessary, but could return later due to OS scheduling.

FUNCTION PARAMETERS

ns  the number of nanoseconds to delay.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_Delay(3), •(3), SDL_DelayNS(3)